Bug 520497 - annoying error dialogs
annoying error dialogs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-08-31 15:17 EDT by Matthias Clasen
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4.0-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 11:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-08-31 15:17:40 EDT
the context menu of a cd drive in computer has two menu items, Mount and Eject, both of which do nothing but show an annoying error dialog that tells me there is no medium in the drive. 

If we don't make eject work on empty drives, we should disable or hide these menuitems when the drive is empty.
Comment 1 David Zeuthen 2009-08-31 15:21:38 EDT
The gdu volume monitor should probably set can_eject to FALSE in this case.
Comment 2 Tomáš Bžatek 2009-10-09 11:12:41 EDT
Should be fixed in gvfs-1.4.0-5.fc12. I'll perform some more tests on Monday and will commit if everything works as expected.

Note You need to log in before you can comment on or make changes to this bug.